summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorAlexander Larsson <alexl@src.gnome.org>2003-11-27 15:45:10 +0000
committerAlexander Larsson <alexl@src.gnome.org>2003-11-27 15:45:10 +0000
commit920dfc308ecf5490616b39244f356d84724fa973 (patch)
treec959f8072ff55896229e8f4d24352a36467ec375 /autogen.sh
downloadgnome-keyring-920dfc308ecf5490616b39244f356d84724fa973.tar.gz
Initial revision
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..d2fbefd2
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gnome-keyring"
+REQUIRED_AUTOMAKE_VERSION=1.6
+
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/gnome-keyring.h \
+ && test -f $srcdir/gnome-keyring.c) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh